%define	major		10
%define gmajor		0.1
%define	oname		nice
%define	libname		%mklibname %{oname} %{major}
%define girname		%mklibname %{oname}-gir %{gmajor}
%define develname	%mklibname %{oname} -d

Name:		libnice
Version:	0.1.22
Release:	%mkrel 2
Summary:	Implementation of the IETF's ICE standard (RFC 5245)
License:	LGPLv2+ and MPLv1+
Group:		System/Libraries
URL:		https://libnice.freedesktop.org/
Source0:	https://libnice.freedesktop.org/releases/%{name}-%{version}.tar.gz
# Build against the new gupnp-igd
Patch0:		libnice-gupnp-1.6.patch
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gupnp-igd-1.6)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(gnutls)
BuildRequires:	meson

%description
Nice is an implementation of the IETF's draft Interactive Connectivity
Establishment standard (ICE). It provides GLib-based library, libnice.

ICE is useful for applications that want to establish peer-to-peer UDP
data streams. It automates the process of traversing NATs and provides
security against some attacks.

Existing standards that use ICE include the Session Initiation Protocol
(SIP) and Jingle, XMPP extension for audio/video calls.

Nice includes integration with GStreamer.

%package -n	%{libname}
Summary:	Dynamic libraries from %{oname}
Group:		System/Libraries

%description -n	%{libname}
Dynamic libraries from %{name}.

%package -n	%{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n	%{girname}
GObject Introspection interface description for %{name}.

%package -n	%{develname}
Summary: 	Header files, libraries and development documentation for %{oname}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	%{oname}-devel = %{version}-%{release}
Provides:       lib%{oname}-devel = %{version}-%{release}

%description -n	%{develname}
This package contains the development files, headers and documentation for
%{oname}.

%package	utils
Summary:	Utilities from %{oname}
Group:		Networking/Other

%description	utils
This package contains various tools from %{name}.

%package -n	gstreamer1.0-%{oname}
Summary:	Gstreamer elements from %{oname}
Group:		System/Libraries

%description -n	gstreamer1.0-%{oname}
Gstreamer 1.0 elements from %{oname}.

%prep
%setup -q
%autopatch -p1

%build
%meson

%meson_build

%install
%meson_install

%files -n %{libname}
%{_libdir}/%{name}.so.%{major}{,.*}

%files -n %{girname}
%{_libdir}/girepository-1.0/Nice-%{gmajor}.typelib

%files -n %{develname}
%license COPYING COPYING.LGPL COPYING.MPL
%doc AUTHORS NEWS README
%{_includedir}/%{oname}/
%{_includedir}/stun/
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{oname}.pc
%{_datadir}/gir-1.0/Nice-%{gmajor}.gir

%files utils
%{_bindir}/stun*

%files -n gstreamer1.0-%{oname}
%{_libdir}/gstreamer-1.0/libgstnice.so


%changelog
* Sun Jun 29 2025 umeabot <umeabot> 0.1.22-2.mga10
+ Revision: 2227178
- Mageia 10 Mass Rebuild

* Wed Aug 28 2024 mrambo3501 <mrambo3501> 0.1.22-1.mga10
+ Revision: 2091905
- version 0.1.22

* Sun Apr 23 2023 daviddavid <daviddavid> 0.1.21-3.mga9
+ Revision: 1954543
- really rebuild against gupnp-igd 1.6.0

* Sun Apr 23 2023 daviddavid <daviddavid> 0.1.21-2.mga9
+ Revision: 1954528
- rebuild against gupnp-igd 1.6.0

* Sat Jan 14 2023 wally <wally> 0.1.21-1.mga9
+ Revision: 1933053
- new version 0.1.21

* Tue May 10 2022 luigiwalser <luigiwalser> 0.1.19-1.mga9
+ Revision: 1857376
- 0.1.19
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Wed Dec 02 2020 luigiwalser <luigiwalser> 0.1.18-1.mga8
+ Revision: 1651875
- switch to meson build system
- 0.1.18

* Wed Nov 18 2020 luigiwalser <luigiwalser> 0.1.17-1.mga8
+ Revision: 1647140
- 0.1.17

* Tue Aug 04 2020 joequant <joequant> 0.1.16-3.mga8
+ Revision: 1611008
- fix build

* Sat Feb 15 2020 umeabot <umeabot> 0.1.16-2.mga8
+ Revision: 1526286
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Mon May 13 2019 luigiwalser <luigiwalser> 0.1.16-1.mga7
+ Revision: 1397519
- 0.1.16

* Mon Jan 14 2019 luigiwalser <luigiwalser> 0.1.15-1.mga7
+ Revision: 1356265
- remove examples subpackage
- 0.1.15

* Sun Sep 23 2018 umeabot <umeabot> 0.1.14-3.mga7
+ Revision: 1299047
- Mageia 7 Mass Rebuild

* Sat Jan 27 2018 wally <wally> 0.1.14-2.mga7
+ Revision: 1197305
- drop gst0.10 support

* Thu Oct 19 2017 mjack <mjack> 0.1.14-1.mga7
+ Revision: 1172713
- Corrected the error in previous commit BR: pkgconfig(gnutls)
- Added BR: gnutls >= 2.12.0
- Updated to version 0.1.14
- Shortened the summary

* Thu Feb 11 2016 umeabot <umeabot> 0.1.13-3.mga6
+ Revision: 955607
- Mageia 6 Mass Rebuild

* Sun Aug 02 2015 wally <wally> 0.1.13-2.mga6
+ Revision: 860737
- build with GObject Introspection
- use %%license for license files

* Sun Jun 21 2015 luigiwalser <luigiwalser> 0.1.13-1.mga6
+ Revision: 838407
- 0.1.13
- disable buggy test suite
- drop patch for now, buggy test not included in 0.1.10
- add patch to fix wrong include path in gstreamer test in test suite
+ danf <danf>
- Disabled a flaky test, removed arm-specific test section,
  then re-enabled tests.
+ umeabot <umeabot>
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.1.7-2.mga5
+ Revision: 681650
- Mageia 5 Mass Rebuild

* Fri May 09 2014 luigiwalser <luigiwalser> 0.1.7-1.mga5
+ Revision: 621621
- 0.1.7

* Sat Mar 15 2014 wally <wally> 0.1.5-1.mga5
+ Revision: 604026
- new version 0.1.5

* Sat Oct 19 2013 umeabot <umeabot> 0.1.4-2.mga4
+ Revision: 525257
- Mageia 4 Mass Rebuild

* Wed May 29 2013 wally <wally> 0.1.4-1.mga4
+ Revision: 432810
- new version 0.1.4
- add gst1.0 support
- drop upstream applied patch
- workaround one test failing
- clean .spec a bit

* Sat Mar 02 2013 rtp <rtp> 0.1.3-4.mga3
+ Revision: 401071
- disable testsuite on arm (Even with the upstream fix the new dribble test is failing)

* Fri Feb 15 2013 pterjan <pterjan> 0.1.3-3.mga3
+ Revision: 398507
- Add upstream fix for a flaky test

* Sat Jan 12 2013 umeabot <umeabot> 0.1.3-2.mga3
+ Revision: 357859
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 23 2012 wally <wally> 0.1.3-1.mga3
+ Revision: 296906
- new version 0.1.3
- clean some old provides/obsoletes
- fix devel and utils pkg summaries/descriptions

* Thu Jun 28 2012 wally <wally> 0.1.2-1.mga3
+ Revision: 264651
- new version 0.1.2
- clean .spec

* Sat Mar 03 2012 wally <wally> 0.1.1-5.mga2
+ Revision: 217167
- rebuild due to PEM (Package Eating Monster)

* Sat Mar 03 2012 wally <wally> 0.1.1-4.mga2
+ Revision: 217132
- fix libname (change libmajor 1 -> 10)

* Mon Jan 09 2012 dmorgan <dmorgan> 0.1.1-3.mga2
+ Revision: 194040
- Provides libnice-devel

* Tue Nov 08 2011 wally <wally> 0.1.1-2.mga2
+ Revision: 165603
- rebuild for new gupnp-igd

* Thu Sep 22 2011 wally <wally> 0.1.1-1.mga2
+ Revision: 146807
- new version 0.1.1

* Mon Jul 04 2011 anssi <anssi> 0.1.0-4.mga2
+ Revision: 117869
- add more conflicts to ease upgrade

* Fri Apr 15 2011 ahmad <ahmad> 0.1.0-3.mga1
+ Revision: 85907
- fix the file list

* Fri Apr 15 2011 ahmad <ahmad> 0.1.0-2.mga1
+ Revision: 85830
- split gstreamer0.10 library in a separate subpackage to each major upgrades
- disable static build and don't ship .la
- disable rpath (Fedora)
- fix the License tag
- %%doc some more files and move all of them to the -devel subpackage

* Thu Apr 14 2011 dams <dams> 0.1.0-1.mga1
+ Revision: 85006
- Update to 0.1.0

* Sun Jan 23 2011 wally <wally> 0.0.13-2.mga1
+ Revision: 33557
- remove old mdv scriptlets
- split long (>79 chars) lines in description
- tighten requires
+ eandry <eandry>
- imported package libnice


* Fri Jul 23 2010 Jani Välimaa <wally@mandriva.org> 0.0.13-1mdv2011.0
+ Revision: 557307
- new version 0.0.13
- rebuild for new gupnp-igd

* Sun Jul 11 2010 Emmanuel Andry <eandry@mandriva.org> 0.0.12-1mdv2011.0
+ Revision: 550734
- New version 0.0.12

* Tue Apr 06 2010 Emmanuel Andry <eandry@mandriva.org> 0.0.11-1mdv2010.1
+ Revision: 532333
- New version 0.0.11

* Thu Jan 07 2010 Jani Välimaa <wally@mandriva.org> 0.0.10-2mdv2010.1
+ Revision: 487207
- rebuild for new gupnp-igd

* Thu Nov 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.10-1mdv2010.1
+ Revision: 465208
- update to new version 0.0.10

* Sun Sep 20 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-3mdv2010.0
+ Revision: 445927
- Rebuild for new gupnp

* Tue Aug 25 2009 Lev Givon <lev@mandriva.org> 0.0.9-2mdv2010.0
+ Revision: 421288
- Specify required versions of build dependencies.

* Wed Aug 05 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.9-1mdv2010.0
+ Revision: 410342
- update to new version 0.0.9

* Tue Jul 28 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.8-3mdv2010.0
+ Revision: 402812
- rename libnice package (containing binaries) to libnice-utils

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.8-2mdv2010.0
+ Revision: 387853
- Build with gupnp support
- Use %%configure2_5x instead of %%configure

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.8-1mdv2010.0
+ Revision: 387823
- update to new version 0.0.8

* Tue May 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.0.6-1mdv2010.0
+ Revision: 379979
- update to new version 0.0.6

* Fri Mar 20 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.5-2mdv2009.1
+ Revision: 358234
- move gstreamer .so file in library package

* Fri Mar 06 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.5-1mdv2009.1
+ Revision: 350288
- New version 0.0.5
- disable autoreconf
- update files list

* Wed Jan 07 2009 Emmanuel Andry <eandry@mandriva.org> 0.0.4-1mdv2009.1
+ Revision: 326839
- New version 0.0.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Sat Nov 29 2008 Emmanuel Andry <eandry@mandriva.org> 0.0.3-1mdv2009.1
+ Revision: 307518
- import libnice


